<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PetscRandom</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PetscRandom"><H1>PetscRandom</H1></A>
Abstract PETSc object that manages generating random numbers 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
typedef struct _p_PetscRandom*   PetscRandom;
</PRE>

<P>
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
  <A HREF="../Sys/PetscRandomCreate.html#PetscRandomCreate">PetscRandomCreate</A>(), <A HREF="../Sys/PetscRandomGetValue.html#PetscRandomGetValue">PetscRandomGetValue</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>intermediate
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../include/petscsys.h.html#PetscRandom">include/petscsys.h</A>
<BR><A HREF="./index.html">Index of all Sys routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
